#Module-Specific definitions
%define mod_name mod_wsgi

Summary:	Python WSGI adapter module for Apache
Name:		apache-%{mod_name}
Version:	3.4
Release:	%mkrel 2
Group:		System/Servers
License:	Apache License
URL:		http://code.google.com/p/modwsgi/
Source0:	http://modwsgi.googlecode.com/files/%{mod_name}-%{version}.tar.gz
Source1:	mod_wsgi.conf
Source2:	wsgi.conf
Requires:	apache
BuildRequires:	apache-devel
BuildRequires:	python-devel
BuildRequires:  apr-devel
BuildRequires:  libtool

%description
The mod_wsgi adapter is an Apache module that provides a WSGI compliant
interface for hosting Python based web applications within Apache. The
adapter is written completely in C code against the Apache C runtime and
for hosting WSGI applications within Apache has a lower overhead than using
existing WSGI adapters for mod_python or CGI.

%prep
%setup -q -n %{mod_name}-%{version}

%build
#rm -f configure
#autoconf

%configure2_5x --localstatedir=/var/lib \
    --with-apxs=%{_httpd_apxs}

%make

%install
rm -rf %{buildroot}

%makeinstall_std

install -D -m 644 %{SOURCE1} %{buildroot}%{_httpd_modconfdir}/10_mod_wsgi.conf
install -D -m 644 %{SOURCE2} %{buildroot}%{_httpd_extconfdir}/wsgi.conf

%clean
rm -rf %{buildroot}

%files
%doc LICENCE README
%config(noreplace) %{_httpd_modconfdir}/10_mod_wsgi.conf
%config(noreplace) %{_httpd_extconfdir}/wsgi.conf
%{_httpd_moddir}/mod_wsgi.so


%changelog

* Fri Jan 11 2013 umeabot <umeabot> 3.4-2.mga3
+ Revision: 345874
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 24 2012 oden <oden> 3.4-1.mga3
+ Revision: 334677
- 3.4

* Sun Aug 12 2012 guillomovitch <guillomovitch> 3.3-7.mga3
+ Revision: 280787
- fix build with apache 2.4
- adapt to new apache setup

* Mon Mar 19 2012 luigiwalser <luigiwalser> 3.3-6.mga2
+ Revision: 223851
- httpd restart is handled by filetriggers now

* Fri Mar 16 2012 anssi <anssi> 3.3-5.mga2
+ Revision: 223593
- drop ifdefine conditional in configuration as per changes in
  apache init handling

* Sun Sep 18 2011 dmorgan <dmorgan> 3.3-4.mga2
+ Revision: 144686
- Fix buildrequires
- Change apache-conf require

* Fri Feb 04 2011 ahmad <ahmad> 3.3-3.mga1
+ Revision: 46788
- imported package apache-mod_wsgi

